
Figure - Bug #117081
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现CRASH: com.android.music（2）
2023-03-22 10:38 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-22

Priority: Normal Due date: 2023-03-31

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VC1_FSE_0090_20230411

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0084.C101(X101)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0089.C102(X102)

Reproducibility: Every time Fixed Version: 2023-03-31

Test Type: ST Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 86400 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.music (pid 3466)

// Short Msg: java.lang.UnsupportedOperationException

// Long Msg: java.lang.UnsupportedOperationException: Unknown or unsupported URL: content://media/external/audio/media/-1

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2550:user/test-keys

// Build Changelist: 2550

// Build Time: 1679346079000

// java.lang.UnsupportedOperationException: Unknown or unsupported URL: content://media/external/audio/media/-1

//     at android.database.DatabaseUtils.readExceptionFromParcel(DatabaseUtils.java:174)

//     at android.database.DatabaseUtils.readExceptionFromParcel(DatabaseUtils.java:142)

//     at android.content.ContentProviderProxy.bulkInsert(ContentProviderNative.java:580)

//     at android.content.ContentResolver.bulkInsert(ContentResolver.java:2277)

//     at com.android.music.MusicUtils.addToPlaylist(MusicUtils.java:802)

//     at com.android.music.MediaPlaybackActivity.addToFavoritePlaylist(MediaPlaybackActivity.java:738)

//     at com.android.music.MediaPlaybackActivity.access$2500(MediaPlaybackActivity.java:103)

//     at com.android.music.MediaPlaybackActivity$6.onClick(MediaPlaybackActivity.java:664)

//     at android.view.View.performClick(View.java:7441)

//     at android.view.View.performClickInternal(View.java:7418)

//     at android.view.View.onKeyUp(View.java:15275)

//     at android.view.KeyEvent.dispatch(KeyEvent.java:2878)

//     at android.view.View.dispatchKeyEvent(View.java:14478)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)
//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at com.android.internal.policy.DecorView.superDispatchKeyEvent(DecorView.java:502)

//     at com.android.internal.policy.PhoneWindow.superDispatchKeyEvent(PhoneWindow.java:1880)

//     at android.app.Activity.dispatchKeyEvent(Activity.java:4184)

//     at com.android.music.MediaPlaybackActivity.dispatchKeyEvent(MediaPlaybackActivity.java:1255)

//     at com.android.internal.policy.DecorView.dispatchKeyEvent(DecorView.java:416)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.processKeyEvent(ViewRootImpl.java:6293)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6159)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5862)

//     at android.view.ViewRootImpl$ImeInputStage.onFinishedInputEvent(ViewRootImpl.java:6020)

//     at android.view.inputmethod.InputMethodManager$PendingEvent.run(InputMethodManager.java:3158)

//     at android.view.inputmethod.InputMethodManager.invokeFinishedInputEventCallback(InputMethodManager.java:2722)

//     at android.view.inputmethod.InputMethodManager.finishedInputEvent(InputMethodManager.java:2713)

//     at android.view.inputmethod.InputMethodManager$ImeInputEventSender.onInputEventFinished(InputMethodManager.java:3135)

//     at android.view.InputEventSender.dispatchInputEventFinished(InputEventSender.java:154)

//     at android.os.MessageQueue.nativePollOnce(Native Method)

//     at android.os.MessageQueue.next(MessageQueue.java:335)

//     at android.os.Looper.loopOnce(Looper.java:161)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

【备注】

连接中控后测试

History

#1 - 2023-03-23 14:45 - CDTS_TEST 王成

- Target version set to VC1_FSE_0090_20230411

#2 - 2023-03-29 15:21 - CD APP-王营

- Due date set to 2023-03-31
- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-03-30 10:24 - CD APP-王宏

■ Current conclusion

已提交

■ My analysis

扩大异常捕获范围，防止crash

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/190899

#4 - 2023-03-30 10:25 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-03-31

- Root cause set to AOSP问题

#5 - 2023-03-30 10:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190899 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:SnapdragonMusic:fixed monkey crash1.Expand the scope of exception captureTC-RID: 0301-0301201IssueID: TS-R-BUG-117081Change-Id:

I2171827a6170ee63428104cca62ae9d9bf8cb208

#6 - 2023-04-03 11:39 - CD TEST-方永红

4.1版本未复现

#7 - 2023-04-06 10:58 - CD TEST-方永红

4.6

0088版本未复现

#8 - 2023-04-07 09:57 - CD TEST-方永红

4.7

0089版本未复现

#9 - 2023-04-07 09:57 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED
- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0089.C102(X102)

#10 - 2023-04-07 09:58 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tlog_f22f620e_000014_0321181536.tar.gz 36.6 MB 2023-03-22 CD TEST-方永红

error.txt 7.36 KB 2023-03-22 CD TEST-方永红

2025-07-04 4/4


